# CHANGELOG

All notable changes to this project will be documented in this file.

Please check [standard-version](https://github.com/conventional-changelog/standard-version)
and documentation for commit guidelines. Also you should check
[conventional-changelog](https://github.com/mdsanima/conventional-changelog) for more detail.

Docomentation for _MDSANIMA-CLI_ is available at this repository on [README.md](README.md)
file be sure to check it.

## 0.2.0 (2023-05-02)

### ⚠ BREAKING CHANGES

- **dev:** helper function for print done message in color
- module prefix `cli` rename file
- more stats info for `get_directory_info` function

- module prefix `cli` rename file ([bd745a4](https://github.com/mdsanima-lab/mdsanima-cli/commit/bd745a444d2b481712840951c0ea93133e4555e8))

### BUG FIXES

- calculating align spaces for nice printing ([760a99d](https://github.com/mdsanima-lab/mdsanima-cli/commit/760a99dfa6344260afe71ca2c1d9c4bd66e6aac1))
- generate pixel art only once closes [#23](https://github.com/mdsanima-lab/mdsanima-cli/issues/23) ([6ef48ec](https://github.com/mdsanima-lab/mdsanima-cli/commit/6ef48ec08424464c91252b4ae0c76d62ff40d7d1))

### DOCUMENTATION

- add documentation for `number` command ([a1f4415](https://github.com/mdsanima-lab/mdsanima-cli/commit/a1f4415e305d175fc3696c2834b6415210d605e9))
- add documentation for `uuid` command ([81fbc91](https://github.com/mdsanima-lab/mdsanima-cli/commit/81fbc91dfac9c533b413829e6634981bde60a229))
- adding command ideas and fixing some typos ([28f91ff](https://github.com/mdsanima-lab/mdsanima-cli/commit/28f91ffbcdc0c7c43f6582c7dee2c8674c10501e))
- fixing typo ([a0416b3](https://github.com/mdsanima-lab/mdsanima-cli/commit/a0416b3a7893421e277c56d16d9e740aeca3cf01))
- info about always printed in upper caase ([cd0a9e9](https://github.com/mdsanima-lab/mdsanima-cli/commit/cd0a9e9556906237f4c9b27726f2d46be4e2b3f4))
- more command ideas ([fe56c2b](https://github.com/mdsanima-lab/mdsanima-cli/commit/fe56c2b52dd56939548ca11fca218903e2335545))
- new commands ideas and fixing some documentation string ([8731ba6](https://github.com/mdsanima-lab/mdsanima-cli/commit/8731ba6a29bec11c0189a606a50fa3398fc7fef6))

### FEATURES

- add parser for check command ([b589d7a](https://github.com/mdsanima-lab/mdsanima-cli/commit/b589d7a8c55c85bd7f6299726ca87445139b7c80))
- add watermark command closes [#37](https://github.com/mdsanima-lab/mdsanima-cli/issues/37) ([ef714a6](https://github.com/mdsanima-lab/mdsanima-cli/commit/ef714a61174b1d0a61d55387152d623af6d3bb75))
- adding exif data software and user comment closes [#20](https://github.com/mdsanima-lab/mdsanima-cli/issues/20) ([2753490](https://github.com/mdsanima-lab/mdsanima-cli/commit/2753490779740eebe88a2eb04f2dd357b7297208))
- adding support for `.webp` files closes [#10](https://github.com/mdsanima-lab/mdsanima-cli/issues/10) ([b6aa51a](https://github.com/mdsanima-lab/mdsanima-cli/commit/b6aa51aeb50c74700ff2970556a658e905da7f41))
- alias `mds` for main cli closes [#32](https://github.com/mdsanima-lab/mdsanima-cli/issues/32) ([671094c](https://github.com/mdsanima-lab/mdsanima-cli/commit/671094c87529ebf289d1fb5be1ebabd5e3d005e3))
- append a logo to image closes [#12](https://github.com/mdsanima-lab/mdsanima-cli/issues/12) ([2bab517](https://github.com/mdsanima-lab/mdsanima-cli/commit/2bab5178ab60a8d607a6ac0ec05f5ca39f7c8549))
- ascii art text for printing title closes [#30](https://github.com/mdsanima-lab/mdsanima-cli/issues/30) ([6f70d61](https://github.com/mdsanima-lab/mdsanima-cli/commit/6f70d61c147489acb9a9a52936dce2bc38bddc8c)), closes [#26](https://github.com/mdsanima-lab/mdsanima-cli/issues/26)
- checking system dependencies color info print ([139eebe](https://github.com/mdsanima-lab/mdsanima-cli/commit/139eebeec1aaf23f19270e8842d98c9aa9f0dc7a))
- color print for compute pixelart and show count number ([d46ec2b](https://github.com/mdsanima-lab/mdsanima-cli/commit/d46ec2b9854e4dba89b6573987e08fb6a40b3e6a))
- converting images to `jpg` format closes [#39](https://github.com/mdsanima-lab/mdsanima-cli/issues/39) ([e51fbea](https://github.com/mdsanima-lab/mdsanima-cli/commit/e51fbeaa3f904e277b4b3106ac93f8d959fa1832))
- converting images to `png` format closes [#40](https://github.com/mdsanima-lab/mdsanima-cli/issues/40) ([00ba0db](https://github.com/mdsanima-lab/mdsanima-cli/commit/00ba0dbd3403580bffbdfb6bbdc63e10c7ee85b4))
- converting images to `webp` format closes [#13](https://github.com/mdsanima-lab/mdsanima-cli/issues/13) ([fd1f60d](https://github.com/mdsanima-lab/mdsanima-cli/commit/fd1f60d94ec58940cda3c454d1efa874bfb6229b))
- **dev:** ascii art `completed` title ([349890a](https://github.com/mdsanima-lab/mdsanima-cli/commit/349890a1cb92d2305e62c81a2c62fe45089bde2a))
- **dev:** ascii art `config error` title ([c48df0f](https://github.com/mdsanima-lab/mdsanima-cli/commit/c48df0f02713764ae71e3495abfcd6ca3bd68c1e))
- **dev:** ascii characters numbers and some special closes [#34](https://github.com/mdsanima-lab/mdsanima-cli/issues/34) ([6bf95fa](https://github.com/mdsanima-lab/mdsanima-cli/commit/6bf95fa321544c5c9c1a4b5e77803a51d54b37bb))
- **dev:** helper for printing multiple colors in on line ([c8824e1](https://github.com/mdsanima-lab/mdsanima-cli/commit/c8824e143c7384eedeffaa24d2363985ac33b3a1))
- **dev:** helper function for print done message in color ([aaac99f](https://github.com/mdsanima-lab/mdsanima-cli/commit/aaac99f54deb65632d4f360842b0cc66bea407e4))
- directory info for `gif` file and `get_images_count` function ([769fca2](https://github.com/mdsanima-lab/mdsanima-cli/commit/769fca21214cd66fa8fcc73f71b3e6114a2333d8))
- execution timer in seconds closes [#38](https://github.com/mdsanima-lab/mdsanima-cli/issues/38) ([d1b37c2](https://github.com/mdsanima-lab/mdsanima-cli/commit/d1b37c2cbc3c5c001be43b503a9b2f3f7126e766))
- generate grid 2x2 from all images in current dir closes [#15](https://github.com/mdsanima-lab/mdsanima-cli/issues/15) ([9731063](https://github.com/mdsanima-lab/mdsanima-cli/commit/9731063c3068d56333a37b78b373c0776e1eb6dd))
- generate jpeg thumbnail 128px closes [#17](https://github.com/mdsanima-lab/mdsanima-cli/issues/17) ([8daccc9](https://github.com/mdsanima-lab/mdsanima-cli/commit/8daccc9dfbed5b2d0f01805b1a1c336fda43c832))
- more stats info for `get_directory_info` function ([c75e825](https://github.com/mdsanima-lab/mdsanima-cli/commit/c75e8254c2b3d3cb100cba15823abb3325496a42))
- print multiple colors in on line for computing files info ([7874a69](https://github.com/mdsanima-lab/mdsanima-cli/commit/7874a69b81a647deab2ad296146e9f4c867b978a))
- print multiple colors in on line for processing files info ([75ec73c](https://github.com/mdsanima-lab/mdsanima-cli/commit/75ec73c0a5e8c9f7061c3e65988de8bd90542f37))
- print nice asci text ([6681b3c](https://github.com/mdsanima-lab/mdsanima-cli/commit/6681b3c5833a25773a35727649f2bbd7c434634b))
- printing directory info stats in color ([657f230](https://github.com/mdsanima-lab/mdsanima-cli/commit/657f230cd2c3641885dd39e2e1cda10b05f180f8))
- rename all images to `uuid` in current directory closes [#11](https://github.com/mdsanima-lab/mdsanima-cli/issues/11) ([81be311](https://github.com/mdsanima-lab/mdsanima-cli/commit/81be31170e6b211bd88da287440ae2872a437b40))
- rename file name to seq number closes [#36](https://github.com/mdsanima-lab/mdsanima-cli/issues/36) ([ab90088](https://github.com/mdsanima-lab/mdsanima-cli/commit/ab90088cc84b56bec932abd1923c57f00d81eef5))

### 0.1.3 (2023-02-14)

### FEATURES

- checking directory and get information closes [#8](https://github.com/mdsanima-lab/mdsanima-cli/issues/8) ([3c098f3](https://github.com/mdsanima-lab/mdsanima-cli/commit/3c098f3f2c6447c286842c30c0127010c1b86189))
- detecting only `.jpg` and `.png` files closes [#7](https://github.com/mdsanima-lab/mdsanima-cli/issues/7) ([7018793](https://github.com/mdsanima-lab/mdsanima-cli/commit/7018793b3c2eecff09eafe49293dab5af2a05e83))
- print color info for `compute_pixelart` function closes [#6](https://github.com/mdsanima-lab/mdsanima-cli/issues/6) ([91e1789](https://github.com/mdsanima-lab/mdsanima-cli/commit/91e1789a65c67a401b014531fee16292ffeab624))

### BUG FIXES

- directory info counting files closes [#9](https://github.com/mdsanima-lab/mdsanima-cli/issues/9) ([577f8c5](https://github.com/mdsanima-lab/mdsanima-cli/commit/577f8c56512f38230b84deb2078c316f7a870a1a))

### DOCUMENTATION

- fixing command for pushing tag to origin ([91b78a3](https://github.com/mdsanima-lab/mdsanima-cli/commit/91b78a3cd705820b6913321e1351b6ce47d82455))
- fixing information for updating to pypi ([68d1912](https://github.com/mdsanima-lab/mdsanima-cli/commit/68d1912a26cc93d22cd0804bcdd80f70d9d86d16))
- info for updating to latest version ([3188ed5](https://github.com/mdsanima-lab/mdsanima-cli/commit/3188ed599592af16143a31f4c0d3f7f51778b866))

### 0.1.2 (2023-02-13)

### FEATURES

- first stage of generate pixelart from images closes [#5](https://github.com/mdsanima-lab/mdsanima-cli/issues/5) ([cffb8db](https://github.com/mdsanima-lab/mdsanima-cli/commit/cffb8db05771742e301963d1578ef332a66f0c11))

### BUG FIXES

- add specific version and keywords typo ([3264da9](https://github.com/mdsanima-lab/mdsanima-cli/commit/3264da983027df9b1c568130d0def5b309113a52))
- adding dev python requirements ([53f9c76](https://github.com/mdsanima-lab/mdsanima-cli/commit/53f9c7636e703157e08250c3fb280f88243ce94f))

### DOCUMENTATION

- add documentation for creating release version and deploying ([32814c3](https://github.com/mdsanima-lab/mdsanima-cli/commit/32814c3cd477643a1f9f60eac561ca0f70ad5ff1))
- first cli command `mdsanima pixelart` documentation info ([09bfd68](https://github.com/mdsanima-lab/mdsanima-cli/commit/09bfd683e259cf7eaa3b97f5c93eb209bd23f46e))

### 0.1.1 (2023-02-12)

### DOCUMENTATION

- commands idea and info before build ([54273aa](https://github.com/mdsanima-lab/mdsanima-cli/commit/54273aac2f67dba808f76d1b3a283bb3dc05bb64))

### FEATURES

- add help for commands closes [#3](https://github.com/mdsanima-lab/mdsanima-cli/issues/3) ([48f3a5b](https://github.com/mdsanima-lab/mdsanima-cli/commit/48f3a5beff1a785e5690b07a01ede87c8dd479af))
- initial parser for pixelart and gifmaker command closes [#1](https://github.com/mdsanima-lab/mdsanima-cli/issues/1) ([fe93d2d](https://github.com/mdsanima-lab/mdsanima-cli/commit/fe93d2d0b926517cd37821f87a189372e3a834d7))

### BUG FIXES

- color print closes [#2](https://github.com/mdsanima-lab/mdsanima-cli/issues/2) ([4751202](https://github.com/mdsanima-lab/mdsanima-cli/commit/47512022c47756d026c58d11c4847b9e1d51a9d1))
- crlf to lf ([b00e68a](https://github.com/mdsanima-lab/mdsanima-cli/commit/b00e68a1552e947196171ab2e0ad1838727b9134))
- main cli entry point ([d126691](https://github.com/mdsanima-lab/mdsanima-cli/commit/d1266918e5ccb3afe7ce83a35339feca6a722bf5))

## 0.1.0 (2023-02-07)

### BUG FIXES

- add build setup python toml and requirements ([7c29973](https://github.com/mdsanima-lab/mdsanima-cli/commit/7c299738195db54de58016dd3d87b94a16ee901e))
- add year and name ([c5ea0ff](https://github.com/mdsanima-lab/mdsanima-cli/commit/c5ea0ff02f6fea87be7d943df2bad071f3ad4ef7))
- editor config and ignore ([cb55349](https://github.com/mdsanima-lab/mdsanima-cli/commit/cb553492375143bb8394ef4ecef2b91953f90448))
- ignore `_version.py` file for setuptools_scm ([6105ba8](https://github.com/mdsanima-lab/mdsanima-cli/commit/6105ba88dfd2e83994705ccc9a93d70753671762))
- setup toml and init file ([7066cd3](https://github.com/mdsanima-lab/mdsanima-cli/commit/7066cd397d9719fa9ef86a772803319cbcfbddf8))

### DOCUMENTATION

- build install and testing package info for development ([a12f572](https://github.com/mdsanima-lab/mdsanima-cli/commit/a12f57281f98ff16768e0c62d7bafca57b1e49c6))
- development setup info ([5c23718](https://github.com/mdsanima-lab/mdsanima-cli/commit/5c2371801c5b571c4f85bcd2dbaa9e72402b3f8a))
- extracts version package from git ([1cb83ee](https://github.com/mdsanima-lab/mdsanima-cli/commit/1cb83ee1626d99f6b07935b84adbccbe9463ff12))
- installation info for first test command ([0a33a76](https://github.com/mdsanima-lab/mdsanima-cli/commit/0a33a76ad6fdbc1ad990b982359435f7cbfce266))

### FEATURES

- add codeowners file ([f0976fd](https://github.com/mdsanima-lab/mdsanima-cli/commit/f0976fd8bdbd9e5efb1d0c97a7619f822c6fb062))
- first `mdsanima` test terminal command ([7b986c3](https://github.com/mdsanima-lab/mdsanima-cli/commit/7b986c3d438e2f2732668926fb46fe6fd98c003f))
